> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a payment method



## OpenAPI

````yaml /openapi.json delete /api/v1/payment-methods/{id}
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/payment-methods/{id}:
    delete:
      tags:
        - Payment Methods
      summary: Delete a payment method
      operationId: PaymentMethodController_deletePaymentMethod
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseDto'
      security:
        - api-key: []
        - bearer: []
components:
  schemas:
    ResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          type: object
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````